PowerPhotos > Help > System Requirements

System Requirements

PowerPhotos requires macOS 10.15 or later. PowerPhotos does not run on iPhone or iPad.

<< Installation
Registering PowerPhotos >>